[Xquartz-changes] [549] tinderbox

source_changes at macosforge.org source_changes at macosforge.org
Sat Apr 30 16:39:57 PDT 2011


Revision: 549
          http://trac.macosforge.org/projects/xquartz/changeset/549
Author:   jeremyhu at freedesktop.org
Date:     2011-04-30 16:39:55 -0700 (Sat, 30 Apr 2011)
Log Message:
-----------
More tinderbox changes for static analysis

Modified Paths:
--------------
    tinderbox/jhbuildrc.xquartz
    tinderbox/tinderbox_test.sh

Modified: tinderbox/jhbuildrc.xquartz
===================================================================
--- tinderbox/jhbuildrc.xquartz	2011-04-30 18:47:29 UTC (rev 548)
+++ tinderbox/jhbuildrc.xquartz	2011-04-30 23:39:55 UTC (rev 549)
@@ -16,6 +16,6 @@
 
 makecheck = True
 
-scan_build = True
-scan_buildargs = '-v --use-cc=clang --use-c++=clang++'
-scan_build_outputdir = os.path.join(os.environ['JHBUILDDIR'] , os.environ['ANALYZERSUBDIR'])
+static_analyzer = True
+static_analyzer_outputdir = os.path.join(os.environ['JHBUILDDIR'] , os.environ['ANALYZERSUBDIR'])
+static_analyzer_template = 'scan-build -v --use-cc=clang --use-c++=clang++ -o %(outputdir)s/%(module)s '

Modified: tinderbox/tinderbox_test.sh
===================================================================
--- tinderbox/tinderbox_test.sh	2011-04-30 18:47:29 UTC (rev 548)
+++ tinderbox/tinderbox_test.sh	2011-04-30 23:39:55 UTC (rev 549)
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/bash -ex
 # http://www.x.org/wiki/Tinderbox
 # Visit http://tinderbox.x.org/account/ to add more machines.
 
@@ -90,17 +90,17 @@
     eval $(/usr/bin/ssh-agent -s)
     /usr/bin/ssh-add "${JHBUILDDIR}/fdo.rsa"
 
-    ssh jeremyhu at people.freedesktop.org mkdir -p w/${ANALYZERSUBDIR} &&
+    ssh jeremyhu at people.freedesktop.org mkdir -p w/${ANALYZERSUBDIR}
     rsync --archive --force --whole-file --delete --delete-after --verbose --compress ${JHBUILDDIR}/${ANALYZERSUBDIR}/ jeremyhu at people.freedesktop.org:w/${ANALYZERSUBDIR}
 
     kill ${SSH_AGENT_PID}
 }
 
 #$JHBUILD clean
-#$JHBUILD build --autogen --clean
+#$JHBUILD build --autogen --clean || true
 #$JHBUILD build --autogen --clean --start-at=xserver
 #$JHBUILD autobuild --autogen --verbose --report-url="${URL}"
-$JHBUILD autobuild --autogen --clean --verbose --report-url="${URL}"
+$JHBUILD autobuild --autogen --clean --verbose --report-url="${URL}" || true
 
 upload_analyzer_results
 
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/xquartz-changes/attachments/20110430/db1c9f36/attachment.html>


More information about the Xquartz-changes mailing list